# QTimerEvent Class Reference

### [com.trolltech.qt.core package]

Inherits QEvent.

### Constructor

- void QTimerEvent(int timerId)

### Constructor Properties

- prototype: The QTimerEvent prototype object

### Prototype Object Properties

The QTimerEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- int timerId()

### Instance Properties

QTimerEvent objects have no special properties beyond those inherited from the QTimerEvent prototype object.